﻿/**
*@FILENAME		: DashBoardCommands.cs
*@DESCRIPTION	: DashBoard Commands have the SQL command strings needed for execution.
*@VERSION		: April 27, 2017
*@PROGRAMMER	: Brian Hinds and Laura Fadrique
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BinDashBoard
{
    class DashBoardCommands
    {
        /// <summary>
        /// Variables
        /// </summary>
        private string binID = "";
        private string BinData = "";

        /// <summary>
        /// This method assigns the SQL command to get station id and production date
        /// </summary>
        /// <returns></returns>
        public string GetBinID()
        {
            binID = "select distinct station_id, date_production from Bin where station_id > 0";
            return binID;
        }

        /// <summary>
        /// This method assign the store procedure command for bin data
        /// </summary>
        /// <returns></returns>
        public string GetBinData()
        {
            BinData = "sp_ReadWorkstation";
            return BinData;
        }

        /// <summary>
        /// This method assign the store procedure command for bin data
        /// </summary>
        /// <returns></returns>
        public string GetPartConfig()
        {
            BinData = "select * from part";
            return BinData;
        }
    }
}
