﻿

using System;
/**
*@FILENAME		: StationCommands.cs
*@DESCRIPTION	: This class contains the SQL scrip commands for the kanabn station
*@VERSION		: April 20, 2017
*@PROGRAMMER	: Brian Hinds and Laura Fadrique
*/
namespace KanbanStationApplication
{
    internal class StationCommands
    {
        private string userProfile = "";
        private string kanbanProducts = "";
        private string createStation = "";
        private string assembleLamp = "";
        private string checkBin = "";
        private string stationConfiguration = "";
        private string ProfileID = "";
        private string AssembleTime = "";
        private string AvgDefect = "";

        /// <summary>
        /// This method loads the profile script
        /// </summary>
        /// <returns></returns>
        public string LoadProfile()
        {
            userProfile = "select profile_id, profile_desc from Profile";

            return userProfile;
        }

        /// <summary>
        /// This method Loads the product script
        /// </summary>
        /// <returns></returns>
        public string LoadProduct()
        {
            kanbanProducts = "select product_id, product_desc from product";
            return kanbanProducts;
        }

        /// <summary>
        /// This method loads the configuration script
        /// </summary>
        /// <returns></returns>
        public string LoadConfiguration()
        {
            stationConfiguration = "select avg_assembly, scale_flag from Config";
            return stationConfiguration;
        }

        /// <summary>
        ///
        /// </summary>
        /// <param name="assembleTime"></param>
        /// <returns></returns>
        public string LoadProfileID(int assembleTime)
        {
            AssembleTime = assembleTime.ToString();

            ProfileID = "select profile_id from Profile where avg_assembly_time='" + AssembleTime + "'";

            return ProfileID;
        }


        /// <summary>
        ///
        /// </summary>
        /// <param name="profile_id"></param>
        /// <returns></returns>
        public string LoadAssemblyTime(int profileId)
        {
            AssembleTime = "select avg_assembly_time from Profile where profile_id =" + profileId;

            return AssembleTime;
        }


        /// <summary>
        ///
        /// </summary>
        /// <param name="profile_id"></param>
        /// <returns></returns>
        public string LoadAvgDefect(int profileId)
        {
            AvgDefect = "select avg_defect from Profile where profile_id =" + profileId;

            return AvgDefect;
        }


        /// <summary>
        /// This method loads the start station script
        /// </summary>
        /// <param name="ProfileId"></param>
        /// <param name="ProductId"></param>
        /// <returns></returns>
        public string StartStation()
        {
            createStation = "sp_CreateStation";

            return createStation;
        }

        /// <summary>
        /// This method loads the lam assembly script
        /// </summary>
        /// <param name="Stationid"></param>
        /// <param name="DateProduction"></param>
        /// <returns></returns>
        public string AssembleLamp()
        {
            assembleLamp = "sp_AssemblyLamp";
            return assembleLamp;
        }

        /// <summary>
        /// This method loads the check bin script
        /// </summary>
        /// <param name="Stationid"></param>
        /// <param name="DateProduction"></param>
        /// <returns></returns>
        public string CheckBin()
        {
            checkBin = "sp_CheckBin";
            return checkBin;
        }
    }
}