-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	April 26, 2017
-- STORE PROCEDURE sp_AssignTray

USE Kanban;
GO

IF (OBJECT_ID('sp_AssignTray') IS NOT NULL)
  DROP PROCEDURE sp_AssignTray
GO

CREATE PROCEDURE sp_AssignTray
	@paramStationId INT,
	@paramTrayIdOut INT OUT
AS
BEGIN
	DECLARE	
	@TrayID INT

	-- Get the first available Tray and Assign to the station
	BEGIN TRAN
		SELECT TOP 1 @TrayID = tray_id 
		FROM Tray		
		WHERE current_qty = 0

		-- Update the tray with stationID
		UPDATE Tray SET station_ID = @paramStationId
		WHERE tray_id = @TrayID

		SET @paramTrayIdOut = @TrayID
	COMMIT TRAN
END

GO

