-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	March 05, 2017
-- STORE PROCEDURE AssemblyLamp

USE Kanban;
GO

IF (OBJECT_ID('sp_CreateStation') IS NOT NULL)
  DROP PROCEDURE sp_CreateStation
GO

CREATE PROCEDURE sp_CreateStation
@ParamProfileId INT,
@ParamProductId INT,
@Result INT OUTPUT
AS
BEGIN
	DECLARE
    @CurrentDate DATETIME,
	@StationID INT

    SET @CurrentDate=getdate()

	SELECT @StationID = MAX(station_id) FROM Station 
	IF (@StationID IS NULL)
		SET @StationId = 0

	BEGIN TRAN
		INSERT INTO Station
		VALUES
		(@StationId + 1, @CurrentDate, @ParamProfileId, @ParamProductId)
		IF @@ERROR <> 0
		BEGIN
			ROLLBACK TRAN
			SET @Result = 0
		END
	COMMIT TRAN
	SET @Result = @StationId + 1
END

GO
