-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	April 26, 2017
-- STORE PROCEDURE sp_DashByProfile

USE Kanban;
GO

IF (OBJECT_ID('sp_DashByProfile') IS NOT NULL)
  DROP PROCEDURE sp_DashByProfile
GO

CREATE PROCEDURE sp_DashByProfile
AS
BEGIN
	DECLARE	
	@paramDateProduction DATE = getdate()

	SELECT Count(production.lamp_id) AS TotalLamp, production.pass_result, Station.profile_id
	FROM (Profile INNER JOIN Station ON Profile.profile_id = Station.profile_id) 
	INNER JOIN production ON (Station.date_production = production.date_production) 
	AND (Station.station_id = production.station_id)
	WHERE production.date_production = @paramDateProduction
	GROUP BY production.pass_result, Station.profile_id  
	ORDER BY profile_id

END

GO

