-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	April 26, 2017
-- STORE PROCEDURE sp_ReadWorkstation

USE Kanban;
GO

IF (OBJECT_ID('sp_ReadWorkstation') IS NOT NULL)
  DROP PROCEDURE sp_ReadWorkstation
GO

CREATE PROCEDURE sp_ReadWorkstation
	@paramStationId INT,
	@paramDateProduction DATE = null,
	@paramHarnessOut INT OUT,
	@paramReflectorOut INT OUT,
	@paramHousingOut INT OUT,
	@paramLensOut INT OUT,
	@paramBulbOut INT OUT,
	@paramBezelOut INT OUT
AS
IF @paramDateProduction IS null
    SET @paramDateProduction=getdate()
BEGIN
	DECLARE	
	@BinID INT,
	@PartID INT,
	@currentQty INT

	-- create cursos to traverse current bins
	DECLARE binCursor CURSOR FOR   

		SELECT part_id, current_qty 
		FROM Bin
		WHERE station_id = @paramStationId
		AND date_production = @paramDateProduction
		AND current_qty <> 0

	OPEN binCursor

	FETCH NEXT FROM binCursor INTO @PartID, @currentQty

	WHILE (@@FETCH_STATUS=0)
	BEGIN
		IF (@PartID = 1)
			SET @paramHarnessOut = @currentQty
		IF (@PartID = 2)
			SET @paramReflectorOut = @currentQty
		IF (@PartID = 3)
			SET @paramHousingOut = @currentQty
		IF (@PartID = 4)
			SET @paramLensOut = @currentQty
		IF (@PartID = 5)
			SET @paramBulbOut = @currentQty
		IF (@PartID = 6)
			SET @paramBezelOut = @currentQty

		FETCH NEXT FROM binCursor INTO @PartID, @currentQty
	END
END

GO

