-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	April 15, 2017
-- STORE PROCEDURE Runner

USE Kanban;
GO

IF (OBJECT_ID('sp_Runner') IS NOT NULL)
  DROP PROCEDURE sp_Runner
GO

CREATE PROCEDURE sp_Runner
AS
BEGIN
	DECLARE	
	@BinID INT,
	@StationID INT,
	@PartId INT

	-- create cursos to traverse current bins
	DECLARE runner CURSOR FOR   
		SELECT bin_ID, station_id, part_id FROM Bin 
		WHERE runner_flag = 1 
	
	OPEN runner

	FETCH NEXT FROM runner INTO @BinID, @StationID, @PartId

	WHILE (@@FETCH_STATUS=0)
	BEGIN
		-- Execute SP to realod bin
		EXECUTE dbo.sp_ReloadBin @BinID, @StationID, @PartId

		FETCH NEXT FROM runner INTO @BinID, @StationID, @PartId
	END

	CLOSE runner
	DEALLOCATE runner

END
GO