-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	March 05, 2017
-- TRIGGER tr_AssignTray

USE Kanban;
GO

IF (OBJECT_ID('tr_AssignTray') IS NOT NULL)
  DROP TRIGGER tr_AssignTray
GO


CREATE TRIGGER tr_AssignTray
ON Station AFTER INSERT
AS
BEGIN
	-- Assign 6 first bins for the station
	DECLARE 
	@StationId INT,
	@TrayId INT

	SELECT @StationId = INSERTED.station_id FROM INSERTED

	--Execute procedure to assign new tray
	EXEC dbo.sp_AssignTray @StationId, @TrayID output
END 




